[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#858341: marked as done (cups-daemon: please usr /run instead of /var/run)



Your message dated Thu, 23 Mar 2017 22:04:07 +0000
with message-id <E1crApz-000GYQ-Bq@fasolo.debian.org>
and subject line Bug#858341: fixed in cups 2.2.2-2
has caused the Debian Bug report #858341,
regarding cups-daemon: please usr /run instead of /var/run
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
858341: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=858341
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: cups-daemon
Version: 2.2.1-8
Severity: normal
Tags: patch

/run has been around since 2011, I think it's time to stop using the /var/run
symlink.  Supporting the symlink in SE Linux means supporting both names for
the contexts used in the initial creation of files and directories which I
want to remove.  Here's a patch to make cups not use /var/run:

--- /etc/init.d/cups.orig	2017-03-22 00:26:12.166644807 +1100
+++ /etc/init.d/cups	2017-03-22 00:26:29.758408141 +1100
@@ -19,7 +19,7 @@
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 DAEMON=/usr/sbin/cupsd
 NAME=cupsd
-PIDFILE=/var/run/cups/$NAME.pid
+PIDFILE=/run/cups/$NAME.pid
 DESC="Common Unix Printing System"
 SCRIPTNAME=/etc/init.d/cups
 
@@ -28,8 +28,8 @@
 # Exit if the package is not installed
 test -x $DAEMON || exit 0
 
-mkdir -p /var/run/cups/certs
-[ -x /sbin/restorecon ] && /sbin/restorecon -R /var/run/cups
+mkdir -p /run/cups/certs
+[ -x /sbin/restorecon ] && /sbin/restorecon -R /run/cups
 
 # Define LSB log_* functions.
 # Depend on lsb-base (>= 3.2-14) to ensure that this file is present
--- /etc/cups/cupsd.conf.orig	2017-03-22 00:28:32.900624971 +1100
+++ /etc/cups/cupsd.conf	2017-03-22 00:28:48.528298483 +1100
@@ -16,7 +16,7 @@
 
 # Only listen for connections from the local machine.
 Listen 127.0.0.1:631
-Listen /var/run/cups/cups.sock
+Listen /run/cups/cups.sock
 
 # Show shared printers on the local network.
 Browsing On
-- System Information:
Debian Release: 9.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.9.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages cups-daemon depends on:
ii  adduser              3.115
ii  bc                   1.06.95-9+b3
ii  dpkg                 1.18.23
ii  init-system-helpers  1.47
ii  libavahi-client3     0.6.32-2
ii  libavahi-common3     0.6.32-2
ii  libc6                2.24-9
ii  libcups2             2.2.1-8
ii  libcupsmime1         2.2.1-8
ii  libdbus-1-3          1.10.16-1
ii  libgssapi-krb5-2     1.15-1
ii  libpam0g             1.1.8-3.5
ii  libpaper1            1.1.24+nmu5
ii  libsystemd0          232-19
ii  lsb-base             9.20161125
ii  procps               2:3.3.12-3
ii  ssl-cert             1.0.38

Versions of packages cups-daemon recommends:
pn  avahi-daemon  <none>
pn  colord        <none>
pn  cups-browsed  <none>

Versions of packages cups-daemon suggests:
ii  cups                             2.2.1-8
ii  cups-bsd                         2.2.1-8
ii  cups-client                      2.2.1-8
ii  cups-common                      2.2.1-8
ii  cups-filters [foomatic-filters]  1.11.6-3
pn  cups-pdf                         <none>
ii  cups-ppdc                        2.2.1-8
ii  cups-server-common               2.2.1-8
ii  foomatic-db                      20161201-1
ii  ghostscript                      9.20~dfsg-2
pn  hplip                            <none>
ii  poppler-utils                    0.48.0-2
pn  printer-driver-gutenprint        <none>
pn  printer-driver-hpcups            <none>
pn  smbclient                        <none>
ii  udev                             232-19

-- Configuration Files:
/etc/init.d/cups changed:
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/cupsd
NAME=cupsd
PIDFILE=/run/cups/$NAME.pid
DESC="Common Unix Printing System"
SCRIPTNAME=/etc/init.d/cups
unset TMPDIR
test -x $DAEMON || exit 0
mkdir -p /run/cups/certs
[ -x /sbin/restorecon ] && /sbin/restorecon -R /run/cups
. /lib/lsb/init-functions
if [ -z "$TZ" -a -e /etc/timezone ]; then
    TZ=`cat /etc/timezone`
    export TZ
fi
coldplug_usb_printers() {
    if type udevadm > /dev/null 2>&1 && [ -x /lib/udev/udev-configure-printer ]; then
	for printer in `udevadm trigger --verbose --dry-run --subsystem-match=usb \
		--attr-match=bInterfaceClass=07 --attr-match=bInterfaceSubClass=01 2>/dev/null || true; \
	                udevadm trigger --verbose --dry-run --subsystem-match=usb \
		--sysname-match='lp[0-9]*' 2>/dev/null || true`; do
	    /lib/udev/udev-configure-printer add "${printer#/sys}"
	done
    fi
}
case "$1" in
  start)
	log_daemon_msg "Starting $DESC" "$NAME"
	mkdir -p `dirname "$PIDFILE"`
	start-stop-daemon --start --quiet --oknodo --pidfile "$PIDFILE" --exec $DAEMON
	status=$?
	[ $status = 0 ] && coldplug_usb_printers
	log_end_msg $status
	;;
  stop)
	log_daemon_msg "Stopping $DESC" "$NAME"
	start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME
	status=$?
	log_end_msg $status
	;;
  reload|force-reload)
       log_daemon_msg "Reloading $DESC" "$NAME"
       start-stop-daemon --stop --quiet --pidfile $PIDFILE --name $NAME --signal 1
       status=$?
       log_end_msg $status
       ;;
  restart)
	log_daemon_msg "Restarting $DESC" "$NAME"
	if start-stop-daemon --stop --quiet --retry 5 --oknodo --pidfile $PIDFILE --name $NAME; then
		start-stop-daemon --start --quiet --pidfile "$PIDFILE" --exec $DAEMON
	fi
	status=$?
	log_end_msg $status
	;;
  status)
	status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|status}" >&2
	exit 3
	;;
esac
exit 0


-- no debconf information

--- End Message ---
--- Begin Message ---
Source: cups
Source-Version: 2.2.2-2

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 858341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 23 Mar 2017 22:32:26 +0100
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsmime1 libcupsppdc1 cups cups-core-drivers cups-daemon cups-client cups-ipp-utils libcups2-dev libcupsimage2-dev cups-bsd cups-common cups-server-common cups-ppdc
Architecture: source
Version: 2.2.2-2
Distribution: experimental
Urgency: medium
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description:
 cups       - Common UNIX Printing System(tm) - PPD/driver support, web interfa
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-core-drivers - Common UNIX Printing System(tm) - driverless printing
 cups-daemon - Common UNIX Printing System(tm) - daemon
 cups-ipp-utils - Common UNIX Printing System(tm) - IPP developer/admin utilities
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cups-server-common - Common UNIX Printing System(tm) - server common files
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
Closes: 858341 858571
Changes:
 cups (2.2.2-2) experimental; urgency=medium
 .
   * Use /run instead of /var/run everywhere meaningful
     (Closes: #858341)
     * /run/cups:
       - in debian/rules; pass --with-rundir=/run/cups
       - update cups.init
     * /run/cups/cupsd.pid:
       - update cups.init
       - update pidfile.patch
     * /run/cups/printcap:
       - in debian/rules; update --with-printcap
       - update cups-daemon postinst
     * /run/cups/cups.sock:
       - update cups postinst and postrm for the lpadmin calls
       - update the autopkgtest for the lpadmin call
       - update the libcups2 example script
       - update the upstart script
     * /run/cups/certs:
       - update cups.init
       - update the upstart script
     Thanks-To: Russell Coker <russell@coker.com.au>
 .
    [ Jamie Strandboge ]
    * Update debian/local/apparmor-profile (Closes: #858571)
       - allow cupsd and cups-pdf to communicate via Unix sockets (LP: #1675503)
       - adjust cups-pdf log location
       - allow cups-pdf to read /etc/cups/ppd/*.ppd
       - silence noisy denials for cupsd occasionally trying to send signals to
         unconfined
       - allow capability wake_alarm (seen in LP: 1641985)
Checksums-Sha1:
 1104f4ac9451025dca786bec282dea59e4544891 3396 cups_2.2.2-2.dsc
 dce4fd21cc5ec5658f361a5ac29916cb33f4e39b 358948 cups_2.2.2-2.debian.tar.xz
 d8413c4443d88151466bb52dde2ea2ca27a16f92 8762 cups_2.2.2-2_source.buildinfo
Checksums-Sha256:
 227c2c05843d186cd61677963e66e9b5894fb890ac5c39651567c761e33d15a6 3396 cups_2.2.2-2.dsc
 074620cdb5e8f5ed308a31605a7974cc3bf0069c0fd6554a42957eda79bd554b 358948 cups_2.2.2-2.debian.tar.xz
 a6f46f044fa855f554e7252a9879d53ed043df590a229a0b34429a0f6f0a345d 8762 cups_2.2.2-2_source.buildinfo
Files:
 fded0857e0bfdf916142768891e12c8e 3396 net optional cups_2.2.2-2.dsc
 d42a82a86fc167c65b2da4cfd11debde 358948 net optional cups_2.2.2-2.debian.tar.xz
 7b6b6a8e87751e5b4a8fd2ec66370459 8762 net optional cups_2.2.2-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQGzBAEBCgAdFiEEe+WPIRpjNw1/GSB7i8+nHsoWNFUFAljUQGsACgkQi8+nHsoW
NFX5/gv+N10N1ssa41JJtSYXTYD/L6jhxCvLLYGSa8k4JnBs70XhAM00I/6kW5es
Cup2mdpwbuBB5+ZsMoKfkYBavNut5HqmO3IE9kaAYuWX/agOitO/v3zcG/h46R0f
wN6qbw2cqEz9GmQqcw7/y6qbDTUr2TQ+e6mZDCOlFN0eDdoUQHvOLVh8Itq7Mb+u
fI2ignGgeJueVQSOwKBH3JerdJCcaGU40zqGpKLVVy6LBxIeZbUSTiYszQ0AuMIA
10otq6vEoYR4gjvGdmI9QefbPY05QYoD4IBvxHJo6bHa5S7w/A2cgL1skgo0P9Jl
xo3tHOMMd2rh+FPpJh9/rg+uj4DzjpgHY+RUkOKtVRejk1539pQYC14yl21ghJQe
dUaowo99qHWKPw2NJwTACdXrX//yDHpBdtoGJYWqvyPqSQp6HNlanGdjmU2zJ1Lz
E9Kq6jHAAdhT7yklbV/Bli40DZVsjCRbWIAMAl+Fz3kQFdsru+db9VrTUX8XDGty
iHLjQA7E
=xxbk
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: